package com.file.center.util;

import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.URL;
import java.net.URLConnection;

/**
 * 图片处理工具类
 *
 * @author Li
 */
public class ImageUtils {

    /**
     * 根据图片的URL从网页下载图片
     *
     * @param dto 图片URL地址

     * @throws Exception
     */
    public static String downloadByURL(CopyImageDTO dto) throws Exception {

        // 构造URL
        URL url = new URL(dto.getUrlString());
        // 打开连接
        URLConnection con = url.openConnection();
        // 设置请求超时为5s
        con.setConnectTimeout(5 * 1000);
        // 输入流
        InputStream is = con.getInputStream();

        // 1K的数据缓冲
        byte[] bs = new byte[1024];
        // 读取到的数据长度
        int len;
        // 输出的文件流
        File sf = new File(dto.getSavePath());
        if (!sf.exists()) {
            sf.mkdirs();
        }
        OutputStream os = new FileOutputStream(sf.getPath()+File.separator+dto.getFileName() );
        // 开始读取
        while ((len = is.read(bs)) != -1) {
            os.write(bs, 0, len);
        }
        // 完毕，关闭所有链接
        os.close();
        is.close();
        return dto.getSavePath() ;
    }

}
